-- vim: ts=2 sw=2 ai et enc=utf8 fenc=utf8

if GetLocale () ~= "koKR" then return end

RaidChecklistSupportedLocale = true

-- Mandatory pet family strings
local P = RaidChecklistPetFamilies

-- Mandatory pet family localized strings.

P.BAT         = "박쥐"
P.BEAR        = "곰"
P.BEETLE      = "딱정벌레"
P.BIRDOFPREY  = "맹금"
P.BOAR        = "멧돼지"
P.CARRIONBIRD = "독수리"
P.CAT         = "살쾡이"
P.CHIMAERA    = "키메라"
P.COREHOUND   = "심장부 사냥개"
P.CRAB        = "게"
P.CROCOLISK   = "악어"
P.DEVILSAUR   = "데빌사우루스"
P.DOG         = "개"
P.DOOMGUARD   = "파멸의 수호병"
P.DRAGONHAWK  = "용매"
P.FELGUARD    = "지옥수호병"
P.FELHUNTER   = "지옥사냥개"
P.FOX         = "여우"
P.GHOUL       = "구울"
P.GORILLA     = "고릴라"
P.HYENA       = "하이에나"
P.IMP         = "임프"
P.MONKEY      = "원숭이"
P.MOTH        = "나방"
P.NETHERRAY   = "황천의 가오리"
P.RAPTOR      = "랩터"
P.RAVAGER     = "칼날발톱"
P.RHINO       = "코뿔소"
P.SCORPID     = "전갈"
P.SERPENT     = "살무사"
P.SHALESPIDER = "혈암거미"
P.SILITHID    = "실리시드"
P.SPIDER      = "거미"
P.SPIRITBEAST = "야수 정령"
P.SPOREBAT    = "포자날개"
P.SUCCUBUS    = "서큐버스"
P.TALLSTRIDER = "타조"
P.TURTLE      = "거북"
P.VOIDWALKER  = "보이드워커"
P.WARPSTALKER = "차원의 추적자"
P.WASP        = "말벌"
P.WATERELEMENTAL = "물의 정령"
P.WINDSERPENT = "천둥매"
P.WOLF        = "늑대"
P.WORM        = "벌레"

local L = RaidChecklistStrings

-- Colorized class names
L.HUNTER      = ClassColorString ("HUNTER")     .. "사냥꾼"
L.WARRIOR     = ClassColorString ("WARRIOR")    .. "전사"
L.DEATHKNIGHT = ClassColorString ("DEATHKNIGHT").. "죽음의 기사"
L.PRIEST      = ClassColorString ("PRIEST")     .. "사제"
L.SHAMAN      = ClassColorString ("SHAMAN")     .. "주술사"
L.PALADIN     = ClassColorString ("PALADIN")    .. "성기사"
L.DRUID       = ClassColorString ("DRUID")      .. "드루이드"
L.WARLOCK     = ClassColorString ("WARLOCK")    .. "흑마법사"
L.ROGUE       = ClassColorString ("ROGUE")      .. "도적"
L.MAGE        = ClassColorString ("MAGE")       .. "마법사"

-- Talent trees
L.AFFLICTION    = "(고통)"
L.ARCANE        = "(비전)"
L.ARMS          = "(무기)"
L.ASSASSINATION = "(암살)"
L.BALANCE       = "(조화)"
L.BEASTMASTER   = "(야수)"
L.BLOOD         = "(혈기)"
L.COMBAT        = "(전투)"
L.DEMONOLOGY    = "(악마)"
L.DESTRUCTION   = "(파괴)"
L.DRUIDBEAR     = "(곰폼)"
L.ELEMENTAL     = "(정기)"
L.ENHANCEMENT   = "(고양)"
L.FERAL         = "(야성)"
L.FIRE          = "(화염)"
L.FROST         = "(냉기)"
L.FURY          = "(분노)"
L.MARKSMAN      = "(사격)"
L.PROTECTION    = "(방어)"
L.RESTORATION   = "(회복)"
L.RETRIBUTION   = "(징벌)"
L.SHADOW        = "(암흑)"
L.SUBTLETY      = "(잠행)"
L.SURVIVAL      = "(생존)"
L.UNHOLY        = "(부정)"
L.HOLY          = "(신성)"
L.DISCIPLINE    = "(수양)"

L.PET = " 소환수: "
L.MISSINGTALENTS = "특성정보를 불러오지 못한 플레이어:"
L.OFFLINE = "(오프라인)"
L.INSPECTQUEUE = "불러오지 못한 플레이어:"
L.NOWINSPECTING = "특성정보 읽어오는 중:"

-- Race/class combos
L.BLOODELF = "|r블러드 엘프"
L.BLOODELF_ROGUE   = L.BLOODELF.." "..L.ROGUE
local SEP = "|r/"
L.BLOODELF_CASTER  = L.BLOODELF.." "..L.DRUID..SEP..L.MAGE..SEP..L.PALADIN..SEP..L.PRIEST..SEP..L.SHAMAN..SEP..L.WARLOCK
L.BLOODELF_WARRIOR = L.BLOODELF.." "..L.WARRIOR
L.BLOODELF_DEATHKNIGHT = L.BLOODELF.." "..L.DEATHKNIGHT
L.BLOODELF_HUNTER = L.BLOODELF.." "..L.HUNTER
L.RACIAL = select (2, GetSpellInfo (25046))

-- List headers
L.BUFFS    = "강화 효과"
L.DEBUFFS  = "약화 효과"
L.CC    = "군중 제어"
L.MISC  = "기타"
L.HUNTERPETABILITIES = "사냥꾼 소환수 능력"
L.AVAILABLEFROM = "가능한 직업군:"
L.PROVIDEDBY = "가능한 플레이어:"
L.NOBODY = "<아무도 없음>"

-- Buffs & debuff names
L.CRIT            = "치명타 5% 증가"
L.ATTACKPWR       = "전투력 10% 증가"
L.SPELLPWR6       = "주문력 6% 증가"
L.SPELLPWR10      = "주문력 10% 증가"
L.PHYSHASTE       = "물리 공격 속도 10% 가속"
L.SPELLHASTE      = "주문 시전 속도 5% 가속"
L.STATS           = "모든 능력치 5% 증가"
L.ALLDMG          = "모든 피해 3% 증가"
L.AGISTR          = "힘/민첩 증가"
L.STAM            = "체력 증가"
L.BLOODLUST       = "40초간 공격,시전 속도 증가"
L.MANA            = "최대 마나 증가"
L.MANAREGEN       = "5초당 마나 회복"
L.BURSTMANA       = "순간 마나 회복"
L.REPLENISHMENT   = "10초당 마나 회복"
L.ARMOR           = "방어도 증가"
L.PUSHBACKRES     = "주문시전 밀림 감소"
L.FIREFROSTRES    = "화염/냉기 저항력 증가"
L.NATURERES       = "자연 저항력 증가"
L.SHADOWRES       = "암흑 저항력 증가"

L.SPELLCRIT       = "받는 주문 치명타 5% 증가"
L.PHYSDMGTAKEN    = "받는 물리 피해 4% 증가"
L.SPELLDMGTAKEN   = "받는 주문 피해 8% 증가"
L.BLEEDDMGTAKEN   = "받는 출혈 피해 30% 증가"
L.ATTACKSPD       = "물리 공격 속도 20%  감소"
L.CASTSPD         = "주문 시전 속도 감소"
L.DEMOROAR        = "물리 공격력 10% 감소"
L.SUNDER          = "방어도 12% 감소"
L.MORTALSTRIKE    = "받는 치유량 10% 감소"

-- Dispels
L.DISPELS         = "해제"
L.OFFMAGIC        = "마법 효과 제거 (적대적 대상)"
L.DEFMAGIC        = "마법 효과 제거 (우호적 대상)"
L.DISEASE         = "질병 효과 제거"
L.POISON          = "독 효과 제거"
L.CURSE           = "저주 효과 제거"
L.ENRAGE          = "격노 효과 제거 (적대적 대상)"

-- CC
L.CCBEASTS        = "야수"
L.CCDEMONS        = "악마"
L.CCDRAGONKIN     = "용족"
L.CCELEMENTALS    = "정령"
L.CCGIANTS        = "거인"
L.CCHUMANOIDS     = "인간형"
L.CCUNDEAD        = "언데드"
L.CCANY           = "모두"
L.FEARBEASTS      = "공포 - 야수"
L.FEARUNDEAD      = "공포 - 악마 & 언데드"
L.FEARANY         = "공포 - 모두"

-- Misc
L.KNOCKBACK       = "밀쳐내기 (45초이하 쿨다운)"
L.INTERRUPT       = "주문시전 방해 (30초이하 쿨다운)"
L.INTERRUPT2      = "주문시전 방해 (30초이상 쿨다운)"
L.SNARE           = "이동속도 감소 (유지가능)"
L.AOESNARE        = "광역 이동속도 감소 (유지가능)"
L.ROOT            = "이동불가 (유지가능)"
L.DISARM          = "무장해제"

-- Cardinality
L[0]              = "" -- 사용불가능한 시너지 보이지 않기
L[1]              = "" -- 한가지 뿐이라면 번호를 표시하지 않아도 됩니다. (솔로잉시 필요없어보임)
L[2]              = "(2)"
L[3]              = "(3)"
L[4]              = "(4)"
L[5]              = "(5)"
L[6]              = "(6)"
L[7]              = "(7)"
L[8]              = "(8)"
L[9]              = "(9)"
L.MANY            = "(*)" -- Life is easier if we can keep things the same width (single digits). Of course, this might be a very western notion... feel free to educate me!

-- Detailed information window
L.DETAILS         = "자세한 능력 정보:"
L.TALENT          = "특성"
L.LEVEL           = "레벨"
L.SPECIALIZATION  = "특수 기술"

-- Configuration
L["Raid Checklist"] = "공격대 체크 리스트"
L.SETTINGS = "세팅"
L.PROFILES = "프로필"
L.ABOUT = "대하여"
L.CONFIG = "설정"
L.ANCHORLOCKED = "잠금"
L.ANCHORLOCKEDDESC = "앵커 버튼을 고정시켜 실수로 이동되는걸 막습니다."
L.SHOWANCHOR = "앵커 버튼 보이기"
L.SHOWANCHORDESC = "브로커계열 애드온 사용시 메인 앵커 버튼을 표시하지 않아도 됩니다."
L.OPENDIRECTION = "공격대 체크 리스트 방향"
L.OPENDIRECTIONDESC = "앵커 버튼으로부터 공격대 체크 리스트를 여는 방향을 설정합니다."
L.DOWNRIGHT = "우측, 하단"
L.DOWNLEFT = "좌측, 하단"
L.UPRIGHT = "우측, 상단"
L.UPLEFT = "좌측, 상단"
L.DETAILSSIDE = "세부정보 패널 방향"
L.DETAILSSIDEDESC = "체크리스트의 세부정보 패널 방향 설정."
L.RIGHT = "우측"
L.LEFT = "좌측"
L.RESETANCHOR = "위치 초기화"
L.RESETANCHORDESC = "앵커 버튼의 위치를 화면의 중앙으로 초기화 합니다."
L.HUNTERPETMODE = "사냥꾼 소환수 모드"
L.HUNTERPETMODEDESC = "사냥꾼의 소환수의 능력만 표시."
L.FILTERGROUPS = "공격대 구성을 돕기위해 선택한 파티의 구성원의 능력은 녹색으로 표시됩니다. 선택하지 않은 파티의 구성원의 능력은 파란색으로 표시됩니다."
L.GROUP = "파티"
L.FONTSIZE = "폰트 크기"
L.FONTSIZEDESC = "체크 리스트의 폰트 크기를 조절할 수 있습니다."
L.NORMAL = "보통"
L.SMALL = "작게"

L.LDBTOOLTIP = "좌클릭 보이기/감추기.\n우클릭 설정창."

-- Keybinding
BINDING_NAME_RAIDCHECKLIST_TOGGLE = "공격대 체크 리스트 보이기/감추기"
BINDING_HEADER_RAIDCHECKLIST = "공격대 체크 리스트"
